- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSDipBlockSolverFactory Class Reference

`#include <OSDipBlockSolverFactory.h>`

Inheritance diagram for OSDipBlockSolverFactory:

[legend]
Collaboration diagram for OSDipBlockSolverFactory:

[legend]
List of all members.

## Public Member Functions
virtual OSDipBlockSolver * | create ()=0
| OSDipBlockSolverFactory ()
| Default Constructor.
virtual | ~OSDipBlockSolverFactory ()=0
| Default destructor.
## Static Public Member Functions
static OSDipBlockSolver * | createOSDipBlockSolver (const string &solverName) throw (ErrorClass)
## Public Attributes
OSInstance * | osinstance
OSOption * | osoption
## Static Public Attributes
static std::map< std::string, OSDipBlockSolverFactory * > | factories

## Detailed Description

Definition at line 43 of file OSDipBlockSolverFactory.h.

## Constructor & Destructor Documentation

OSDipBlockSolverFactory::OSDipBlockSolverFactory | ( |  | ) |

Default Constructor.

Definition at line 52 of file OSDipBlockSolverFactory.cpp.

OSDipBlockSolverFactory::~OSDipBlockSolverFactory | ( |  | ) | `[pure virtual]`

Default destructor.

Definition at line 56 of file OSDipBlockSolverFactory.cpp.

## Member Function Documentation

virtual OSDipBlockSolver* OSDipBlockSolverFactory::create | ( |  | ) | `[pure virtual]`

Implemented in OSDipBlockBearcatSolver::Factory, OSDipBlockCoinSolver::Factory, and OSDipBlockSlpSolver::Factory.

OSDipBlockSolver * OSDipBlockSolverFactory::createOSDipBlockSolver | ( | const string & | solverName | ) | throw (ErrorClass)`[static]`

Definition at line 34 of file OSDipBlockSolverFactory.cpp.

## Member Data Documentation

OSInstance* OSDipBlockSolverFactory::osinstance

Definition at line 46 of file OSDipBlockSolverFactory.h.

Referenced by OSDipBlockSlpSolver::Factory::create(), OSDipBlockCoinSolver::Factory::create(), and OSDipBlockBearcatSolver::Factory::create().

OSOption* OSDipBlockSolverFactory::osoption

Definition at line 47 of file OSDipBlockSolverFactory.h.

Referenced by OSDipBlockBearcatSolver::Factory::create().

std::map< std::string, OSDipBlockSolverFactory * > OSDipBlockSolverFactory::factories`[static]`

Definition at line 50 of file OSDipBlockSolverFactory.h.

Referenced by OSDipApp::initializeApp(), OSDipFactoryInitializer::OSDipFactoryInitializer(), and OSDipFactoryInitializer::~OSDipFactoryInitializer().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/OSDipBlockSolverFactory.h
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/OSDipBlockSolverFactory.cpp